#ifndef CAMERA_H
#define CAMERA_H

#include "vector/vec.h"
#include "window/window.h"

typedef struct {
  vec3f_t position;
  vec3f_t rotation;
} camera_t;

vec2i_t project_point(vec3f_t point, const window_t *wnd,
                      const camera_t *camera, vec3f_t viewport);

#endif // !CAMERA_H
